### Method

# Gtk Picture set_resource

#### Declaration [src]

    void
    gtk_picture_set_resource (
      GtkPicture* self,
      const char* resource_path
    )

#### Description [src]

Makes `self` load and display the resource at the given `resource_path`.

This is a utility function that calls `gtk_picture_set_file()`.

#### Parameters

`resource_path`

  Type: `const char*`

  The resource to set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.